RUN_MAPPERS(1)

NAME
run_mappers - run a read mapper to map reads to reference genomes

SYNOPSIS
run_mappers NAMES READS -i REF -o OUT -m MAPPER

DESCRIPTION
Run a read mapper to map reads to reference genomes.

The names in the NAMES file will be inserted in the provided string patterns. Each pattern must contain exactly one "%s" placeholder (python string formatting).

OPTIONS

NAMES
    Filename of the names file; the plain text names file should contain one name per line. The name is used as identifier in the whole algorithm.

READS
    File containing the reads to be mapped.

-h, --help
    show this help message and exit

-m MAPPER, --mapper=MAPPER
    Identifier of mapper defined in core/tools.py [default: none]

-i REF, --index=REF
    Pattern, that points to the reference sequences/indices when used with a name. Placeholder for the name is "%s". [default: ./ref/%s.fasta]

-o OUT, --output=OUT
    Pattern, that points to the output SAM file, when used with a name. Placeholder for the name is "%s". [default: ./SAM/%s.sam]